/*
 * $Id: CordPool.as,v 1.1.1.1 2007/08/19 01:14:45 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.lbr {
  import flash.display.BitmapData;
  import org.cove.ape.Group;
  import abagames.util.Actor;
  import abagames.util.ActorPool;
  import abagames.util.Vector;

  /**
   * Cord pool.
   */
  public class CordPool extends ActorPool {
    private var buffer:BitmapData;
    private var field:Field;
    private var group:Group;

    public function CordPool(n:int, buffer:BitmapData, field:Field, group:Group) {
      this.buffer = buffer;
      this.field = field;
      this.group = group;
      super(n);
    }

    protected override function createActor():Actor {
      return new Cord(buffer, field, group);
    }

    public function removeConnected(a:ApeParticleActor):void {
      for (var i:int = 0; i < actorNum; i++) {
        var c:Cord = Cord(actors[i]);
        c.removeConnected(a);
        if (c.removed) {
          c.removed = false;
          i--;
        }
      }
    }
  }
}
