/*
 * $Id: EnergyPool.as,v 1.3 2007/09/02 03:58:04 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.lbr {
  import flash.display.BitmapData;
  import org.cove.ape.Group;
  import abagames.util.Actor;
  import abagames.util.ActorPool;
  import abagames.util.Vector;

  /**
   * Energy items pool.
   */
  public class EnergyPool extends ActorPool {
    private var buffer:BitmapData;
    private var field:Field;
    private var player:Player;
    private var particles:ParticlePool;
    private var group:Group;

    public function EnergyPool(n:int, buffer:BitmapData, field:Field, player:Player,
                             particles:ParticlePool, group:Group) {
      this.buffer = buffer;
      this.field = field;
      this.player = player;
      this.particles = particles;
      this.group = group;
      super(n);
    }

    protected override function createActor():Actor {
      return new Energy(buffer, field, player, particles, group);
    }
  }
}
