/*
 * $Id: SimpleActor.as,v 1.1.1.1 2007/08/19 01:14:45 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.util {

  /**
   * Actor pooled in an ActorPool.
   */
  public class SimpleActor implements Actor {
    protected var actorPool:ActorPool;
    private var idx:int;
    private var _removed:Boolean;

    public function setActorPool(ap:ActorPool):void {
      actorPool = ap;
    }

    public function set index(v:int):void {
      idx = v;
    }

    public function update():void { }

    public function remove():void {
      actorPool.remove(idx);
    }

    public function get exists():Boolean {
      return actorPool.existsActor(idx);
    }

    public function get removed():Boolean {
      return _removed;
    }

    public function set removed(v:Boolean):void {
      _removed = v;
    }
  }
}
